Create Intent
curl --request POST \
--url https://api.example.com/api/v1/auth/intents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"intent": {
"version": 1,
"audit_type": "<string>",
"platform": "<string>",
"target_url": "<string>",
"social_links": {},
"market": {},
"language": "<string>",
"source": "signup",
"return_path": "/brand-intelligence/app"
},
"attribution": {
"attempt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"anonymous_distinct_id": "<string>",
"variant": "<string>"
}
}
'import requests
url = "https://api.example.com/api/v1/auth/intents"
payload = {
"intent": {
"version": 1,
"audit_type": "<string>",
"platform": "<string>",
"target_url": "<string>",
"social_links": {},
"market": {},
"language": "<string>",
"source": "signup",
"return_path": "/brand-intelligence/app"
},
"attribution": {
"attempt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"anonymous_distinct_id": "<string>",
"variant": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
intent: {
version: 1,
audit_type: '<string>',
platform: '<string>',
target_url: '<string>',
social_links: {},
market: {},
language: '<string>',
source: 'signup',
return_path: '/brand-intelligence/app'
},
attribution: {
attempt_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
anonymous_distinct_id: '<string>',
variant: '<string>'
}
})
};
fetch('https://api.example.com/api/v1/auth/intents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"continuation_secret": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Auth continuation
Create Intent
POST
/
api
/
v1
/
auth
/
intents
Create Intent
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?